var mais  = "/admin/media/images/simpletree/mais.gif"
var menos = "/admin/media/images/simpletree/menos.gif"


function simpleTreeToggleNode(node){
    var nodeArray = node.childNodes;
    for(i=0; i < nodeArray.length; i++){
        node = nodeArray[i];
        if (node.tagName && node.tagName.toLowerCase() == 'div')
        	node.style.display = (node.style.display == 'block') ? 'none' : 'block';
    }
}
function simpleTreeOpenNode(node){
    var nodeArray = node.childNodes;
    for(i=0; i < nodeArray.length; i++){
        node = nodeArray[i];
        if (node.tagName && node.tagName.toLowerCase() == 'div')
        node.style.display = 'block';
    }
}

function simpleTreeCloseNode(node){
    var nodeArray = node.childNodes;
    for(i=0; i < nodeArray.length; i++){
        node = nodeArray[i];
        if (node.tagName && node.tagName.toLowerCase() == 'div')
        node.style.display = 'none';
    }
}

function simpleTreeShowNode(node){
    if (!node) return;
    if (!node.parentNode) return;
    node = node.parentNode;
    while (node.tagName.toLowerCase() == 'div'){
        simpleTreeOpenNode(node);
        node = node.parentNode;
    }
}

function changeImage(img){
	current = (img.src.substring(img.src.indexOf(mais)) == img.src) ? img.src.substring(img.src.indexOf(menos)) : img.src.substring(img.src.indexOf(mais));
	img.src = ( current == menos ) ? mais : menos;
}